| Home | Libraries | People | FAQ | More

## Function template is_partitioned

boost::algorithm::is_partitioned — Tests to see if a sequence is partitioned according to a predicate.

## Synopsis

    // In header: <boost/algorithm/cxx11/is_partitioned.hpp>

    template<typename InputIterator, typename UnaryPredicate>
      bool is_partitioned(InputIterator first, InputIterator last,
                          UnaryPredicate p);

## Description

| Note
This function is part of the C++2011 standard library. We will use the standard one if it is available, otherwise we have our own implementation.

Parameters:

`first` | The start of the input sequence
`last` | One past the end of the input sequence
`p` | The predicate to test the values with